@import 'src/style/includes/sass_vars_and_mixins.module.scss';


.landingIntro {
  background-color: var(--color-brand-weakest);
  padding: var(--space-xl) 0 var(--space-xxxl) 0;
  color: var(--color-brand-base);

  @include smaller-than-l {
    padding: var(--space-l) 0 var(--space-xxl) 0;
  }

  @include smaller-than-s {
    padding: var(--space-s) 0 var(--space-xxl) 0;
  }
}

.toolTitle {
  color: var(--color-brand-base);
  line-height: 1.2em;
}

.introText p {
  font-size: var(--font-size-l);

  @include smaller-than-s {
    margin-bottom: var(--space-xl);
  }
}

.landingCountries {
  margin-bottom: var(--space-xxl);
  background-color: var(--color-brand-weakest);
  padding-top: var(--space-l);
  padding-bottom: var(--space-l);

  .countryGroups {
    columns: 4;
    padding-top: var(--space-s);
    column-gap: var(--space-m);
  }

  .countryGroup {
    list-style: none;
    margin-bottom: var(--space-xl);
    break-before: always;
  }

  .countries {
    flex-wrap: wrap;
     margin-top: 0;
  }

  .groupName {
    font-weight: 500;
    margin: 0;
    margin-bottom: var(--space-xs);
    color: var(--color-brand-base);
    break-inside: avoid;
    break-before: always;
    line-height: var(--font-line-height-tightest);
    @extend %columnBreakHack;
  }

  .country {
    list-style: none;
    margin-right: var(--space-m);
    margin-bottom: var(--space-xxs);

  }

  .countryName {
    display: block;
    color: var(--color-brand-base);

    &.disabled {
      opacity: 0.5;
    }
  }

  @include smaller-than-m {
    .countryGroups {
      columns: 3;
    }
  }

  @include smaller-than-s {
    margin-bottom: 0;
    padding-bottom: var(--space-m);
    padding-top: var(--space-m);

    .countryGroups {
      columns: 2;
    }
  }
}

.landingContact {
  background: var(--color-functional-accent);
  padding: var(--space-xxl);

  @include smaller-than-s {
    padding: var(--space-xl) var(--space-l);
    padding-top: var(--space-xs);
  }
}

// STATIC PAGES
.staticContentWrapper {
  position: relative;
  overflow: hidden;
}

// 404 500
.errorPage {
  padding-top: var(--space-xxl);
  padding-bottom: var(--space-xxl);
  min-height: 50vh;
}

.errorTitle {
  color: var(--color-background-base);
}